org.apache.tinkerpop.gremlin.giraph.process.computer

## Class GiraphWorkerContext

- java.lang.Object
- - WorkerContext
  - - org.apache.tinkerpop.gremlin.giraph.process.computer.GiraphWorkerContext

-     public final class GiraphWorkerContext
      extends WorkerContext

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiraphWorkerContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GiraphMemory` | `getMemory()`
    `GiraphMessenger` | `getMessenger(GiraphVertex giraphVertex, GiraphComputation giraphComputation, Iterator<ObjectWritable> messages)`
    `VertexProgramPool` | `getVertexProgramPool()`
    `void` | `postApplication()`
    `void` | `postSuperstep()`
    `void` | `preApplication()`
    `void` | `preSuperstep()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GiraphWorkerContext

          public GiraphWorkerContext()

  - ### Method Detail

    - #### preApplication

          public void preApplication()
                              throws InstantiationException,
                                     IllegalAccessException

      Throws:
        `InstantiationException`
        `IllegalAccessException`

    - #### postApplication

          public void postApplication()

    - #### preSuperstep

          public void preSuperstep()

    - #### postSuperstep

          public void postSuperstep()

    - #### getVertexProgramPool

          public VertexProgramPool getVertexProgramPool()

    - #### getMemory

          public GiraphMemory getMemory()

    - #### getMessenger

          public GiraphMessenger getMessenger(GiraphVertex giraphVertex,
                                              GiraphComputation giraphComputation,
                                              Iterator<ObjectWritable> messages)

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.